.\"	$NetBSD: ipcrm.1,v 1.10 2008/05/31 14:27:39 christos Exp $
.\"
.\" Copyright (c) 1994 Adam Glass
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the Author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Adam Glass ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Adam Glass BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $NetBSD: ipcrm.1,v 1.10 2008/05/31 14:27:39 christos Exp $
.\"
.Dd May 31, 2008
.Dt IPCRM 1
.Os
.Sh NAME
.Nm ipcrm
.Nd remove the specified message queues, semaphore sets, and shared memory segments
.Sh SYNOPSIS
.Nm
.Op Fl M Ar shmkey
.Op Fl m Ar shmid
.Op Fl Q Ar msgkey
.Op Fl q Ar msqid
.Op Fl S Ar semkey
.Op Fl s Ar semid
.Ar ...
.Sh DESCRIPTION
.Nm
removes the specified message queues, semaphores, and shared memory
segments.
These System V IPC objects can be specified by their
creation ID or any associated key.
.Pp
The following options are used to specify which IPC objects will be removed.
Any number and combination of these options can be used:
.Bl -tag -width indent
.It Fl M Ar shmkey
Mark the shared memory segment associated with key
.Ar shmkey
for removal.
This marked segment will be destroyed after the last detach.
.It Fl m Ar shmid
Mark the shared memory segment associated with ID
.Ar shmid
for removal.
This marked segment will be destroyed after the last detach.
.It Fl Q Ar msgkey
Remove the message queue associated with key
.Ar msgkey
from the system.
.It Fl q Ar msqid
Remove the message queue associated with the ID
.Ar msqid
from the system.
.It Fl S Ar semkey
Remove the semaphore set associated with key
.Ar semkey
from the system.
.It Fl s Ar semid
Removes the semaphore set associated with ID
.Ar semid
from the system.
.El
.Pp
If the
.Ar id
or
.Ar key
argument is
.Dq all
then all entries of the appropriate type are removed.
.Pp
The identifiers and keys associated with these System V IPC objects can be
determined by using
.Xr ipcs 1 .
.Sh SEE ALSO
.Xr ipcs 1 ,
.Xr shmat 2 ,
.Xr shmctl 2 ,
.Xr shmdt 2 ,
.Xr shmget 2
